
_main:

;MyProject.c,12 :: 		void main()
;MyProject.c,14 :: 		unsigned char ones,point_ones,point_hundreds,newline='\r\n';
;MyProject.c,15 :: 		TRISD =0x00;
	CLRF        TRISD+0 
;MyProject.c,16 :: 		ADCON0 = 0b00000001;    //A/D Converter Power Up
	MOVLW       1
	MOVWF       ADCON0+0 
;MyProject.c,17 :: 		ADCON1 = 0x00;          //All Analog Channels
	CLRF        ADCON1+0 
;MyProject.c,18 :: 		ADCON2 = 0b10111110;    //Right Justfied and Slowest Clock for better accuracy
	MOVLW       190
	MOVWF       ADCON2+0 
;MyProject.c,19 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;MyProject.c,21 :: 		SPI1_Init();
	CALL        _SPI1_Init+0, 0
;MyProject.c,22 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;MyProject.c,24 :: 		error = MMC_Init();
	CALL        _Mmc_Init+0, 0
	MOVF        R0, 0 
	MOVWF       _error+0 
;MyProject.c,25 :: 		while(error == 1)
L_main0:
	MOVF        _error+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main1
;MyProject.c,27 :: 		LATD=0xff;
	MOVLW       255
	MOVWF       LATD+0 
;MyProject.c,28 :: 		error = MMC_Init();
	CALL        _Mmc_Init+0, 0
	MOVF        R0, 0 
	MOVWF       _error+0 
;MyProject.c,29 :: 		}
	GOTO        L_main0
L_main1:
;MyProject.c,30 :: 		LATD =0x00;
	CLRF        LATD+0 
;MyProject.c,31 :: 		MMC_Fat_Init();
	CALL        _Mmc_Fat_Init+0, 0
;MyProject.c,32 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV4, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	CLRF        FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;MyProject.c,34 :: 		Mmc_Fat_Assign(&filename,0x80);
	MOVLW       _filename+0
	MOVWF       FARG_Mmc_Fat_Assign_name+0 
	MOVLW       hi_addr(_filename+0)
	MOVWF       FARG_Mmc_Fat_Assign_name+1 
	MOVLW       128
	MOVWF       FARG_Mmc_Fat_Assign_attrib+0 
	CALL        _Mmc_Fat_Assign+0, 0
;MyProject.c,35 :: 		while(1)
L_main2:
;MyProject.c,37 :: 		adc_value = ADC_Read(0);      //Read Temperature from ADC
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	CALL        _Word2Double+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_value+0 
	MOVF        R1, 0 
	MOVWF       _adc_value+1 
	MOVF        R2, 0 
	MOVWF       _adc_value+2 
	MOVF        R3, 0 
	MOVWF       _adc_value+3 
;MyProject.c,38 :: 		voltage=adc_value*5/1023;
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       192
	MOVWF       R5 
	MOVLW       127
	MOVWF       R6 
	MOVLW       136
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       _voltage+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       _voltage+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       _voltage+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       _voltage+3 
;MyProject.c,39 :: 		ones = voltage/1;
	MOVF        FLOC__main+0, 0 
	MOVWF       R0 
	MOVF        FLOC__main+1, 0 
	MOVWF       R1 
	MOVF        FLOC__main+2, 0 
	MOVWF       R2 
	MOVF        FLOC__main+3, 0 
	MOVWF       R3 
	CALL        _Double2Byte+0, 0
	MOVF        R0, 0 
	MOVWF       main_ones_L0+0 
;MyProject.c,40 :: 		ones = ones | 0x30;
	MOVLW       48
	IORWF       R0, 0 
	MOVWF       main_ones_L0+0 
;MyProject.c,41 :: 		temp=voltage*10;
	MOVF        FLOC__main+0, 0 
	MOVWF       R0 
	MOVF        FLOC__main+1, 0 
	MOVWF       R1 
	MOVF        FLOC__main+2, 0 
	MOVWF       R2 
	MOVF        FLOC__main+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	CALL        _Double2Word+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
;MyProject.c,42 :: 		point_ones = temp%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       main_point_ones_L0+0 
;MyProject.c,43 :: 		point_ones = point_ones | 0x30;
	MOVLW       48
	IORWF       R0, 0 
	MOVWF       main_point_ones_L0+0 
;MyProject.c,44 :: 		temp=voltage*100;
	MOVF        _voltage+0, 0 
	MOVWF       R0 
	MOVF        _voltage+1, 0 
	MOVWF       R1 
	MOVF        _voltage+2, 0 
	MOVWF       R2 
	MOVF        _voltage+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       72
	MOVWF       R6 
	MOVLW       133
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	CALL        _Double2Word+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
;MyProject.c,45 :: 		point_hundreds = temp%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
;MyProject.c,46 :: 		point_hundreds = point_hundreds | 0x30;
	MOVLW       48
	IORWF       R0, 1 
;MyProject.c,47 :: 		voltage_Log[0] = ones;
	MOVF        main_ones_L0+0, 0 
	MOVWF       _voltage_Log+0 
;MyProject.c,48 :: 		voltage_Log[1] = '.';
	MOVLW       46
	MOVWF       _voltage_Log+1 
;MyProject.c,49 :: 		voltage_Log[2] = point_ones;
	MOVF        main_point_ones_L0+0, 0 
	MOVWF       _voltage_Log+2 
;MyProject.c,50 :: 		voltage_Log[3] = point_hundreds;
	MOVF        R0, 0 
	MOVWF       _voltage_Log+3 
;MyProject.c,51 :: 		voltage_Log[4] = 'V';
	MOVLW       86
	MOVWF       _voltage_Log+4 
;MyProject.c,52 :: 		voltage_Log[5] = '\r';
	MOVLW       13
	MOVWF       _voltage_Log+5 
;MyProject.c,53 :: 		voltage_Log[6] = '\n';
	MOVLW       10
	MOVWF       _voltage_Log+6 
;MyProject.c,54 :: 		Mmc_Fat_Append();
	CALL        _Mmc_Fat_Append+0, 0
;MyProject.c,56 :: 		Mmc_Fat_Write(voltage_Log,sizeof(voltage_Log));
	MOVLW       _voltage_Log+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(_voltage_Log+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       7
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
;MyProject.c,57 :: 		}
	GOTO        L_main2
;MyProject.c,58 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
